> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.claw-ops.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.claw-ops.com/_mcp/server.

# 통화 요약 조회

GET https://api.claw-ops.com/v1/accounts/{accountId}/calls/{callId}/summary

transcript 가 완료된 통화에 대해 자동 생성된 LLM 구조화 요약 결과를 조회합니다. 상태는 completed / pending / failed / not_requested 로 구분됩니다. completed 일 때 resultJson 에 조직이 등록한 출력 스키마(또는 기본 스키마)에 맞춘 JSON 이 inline 으로 반환됩니다.

Reference: https://docs.claw-ops.com/api-레퍼런스/claw-ops-api/calls/get-summary

## Authentication

- `Authorization` header (bearer token, required) — API Key를 Bearer 토큰으로 전달

## Request

### Path parameters

- `accountId` (string, required)
- `callId` (string, required)

## Response

### 200

요약 상태 + (completed 시) resultJson

- `object or object or object or object`
  - object
    - `status` (enum, required)
      - Allowed values: `completed`
    - `callId` (string, required)
    - `resultJson` (map from string to any, optional) — 조직 스키마에 맞춰진 요약 결과. 기본 스키마(default:v1) 사용 시 coreSummary / decisions / followUps / sentiment 필드가 보장됩니다.
    - `provider` (string, optional)
    - `model` (string, optional)
    - `promptVersion` (string, optional) — 기본은 default:v1. 조직 커스텀 프롬프트는 org:\{accountId}:\{hash}.
    - `schemaVersion` (string, optional) — 기본은 default:v1. 조직 커스텀 스키마는 org:\{accountId}:\{hash}.
    - `updatedAt` (datetime, optional)
  - object
    - `status` (enum, required)
      - Allowed values: `pending`
  - object
    - `status` (enum, required)
      - Allowed values: `failed`
    - `failedReason` (string, optional, nullable)
  - object
    - `status` (enum, required)
      - Allowed values: `not_requested`

## Examples

**Response**

```json
{
  "callId": "string",
  "model": "claude-sonnet-4-6",
  "promptVersion": "string",
  "provider": "anthropic",
  "resultJson": {},
  "schemaVersion": "string",
  "status": "completed",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/calls/CA1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/calls/CA1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6/summary';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/calls/CA1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6/summary"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/calls/CA1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6/summary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/calls/CA1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6/summary")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/calls/CA1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6/summary', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/calls/CA1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6/summary");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/calls/CA1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6/summary")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```